谁能帮我解决这个小问题???
代码底部是FILLET命令。我不能太努力。这条线前后的一切都很好。
- (defun c:qqq (/ a BarLength InsertPoint FirstBar SecondBar FirstLine
- SecondLine ThirdLine FourthLine)
- (savevartoold) (reobarlayer) (setvar "Osmode" 1) (setvar "orthomode" 0)
- (setq BarLength (getreal "\nEnter New Bar Length or Use <500>"))
- (setq a "T")
- (while a
- (setvar "osmode" 1)
- (setq InsertPoint (getpoint "\nSelect Insertion Corner:"))
- (initget 33) (setvar "osmode" 513)
- (setq FirstBar (getpoint InsertPoint "\nFirst corner bar direction:")
- SecondBar (getpoint InsertPoint "\nSecond corner bar direction:"))
- (progn
- (command ".pline" InsertPoint FirstBar "")
- (setq FirstLine (entlast))
- (command ".lengthen" FirstLine "T" 500 FirstBar ""
- ".offset" 25 FirstLine SecondBar "")
- (setq ThirdLine (entlast)))
- (progn
- (command ".pline" InsertPoint SecondBar "")
- (setq SecondLine (entlast))
- (command ".lengthen" SecondLine "T" 500 SecondBar ""
- ".offset" 25 SecondLine FirstBar "")
- (setq FourthLine (entlast)))
- (progn
- (command ".fillet" ThirdLine FourthLine ;THIS IS THE COMMAND LINE I'M HAVING TROUBLE WITH;
- ".lengthen" "T" 500 ThirdLine FourthLine ""
- ".erase" FirstLine SecondLine ""))
- (if (= FirstPoint "") (setq a nil))
- )
- (resetoldvar)
- (princ)
- )
[/code]
转角钢筋。pdf |